AnsweredAssumed Answered

Synchronize Error

Question asked by spredar on May 6, 2019

I used create_replica to successfully create a replica between to GISs but cannot get the subsequent sync using the sync_replicated_items.  Traceback shows an "HTTP Error 498" which eludes to the service URL not being passed a token.  There is a subsequent error but that appears to be related to the first.  Both GISs are AGOL based and am using the current API on my ArcPro install, v1.5. 

Traceback (most recent call last):
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\arcgis\_impl\connection.py", line 831, in get
resp = opener.open(url)
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\urllib\request.py", line 532, in open
response = meth(req, response)
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\urllib\request.py", line 642, in http_response
'http', request, response, code, msg, hdrs)
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\urllib\request.py", line 570, in error
return self._call_chain(*args)
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\urllib\request.py", line 504, in _call_chain
result = func(*args)
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\urllib\request.py", line 650, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 498: 498

 

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\Temp\test.py", line 33, in <module>
sync_extint = arcgis.features.FeatureLayerCollection(ext_fs_url,extGIS).replicas.sync_replicated_items(ext_item,int_item,"NWD Levee Assessment")
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\arcgis\features\managers.py", line 697, in sync_replicated_items
out_path=tempfile.gettempdir())
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\arcgis\features\layer.py", line 2347, in _synchronize_replica
token=self._token)
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\arcgis\_impl\connection.py", line 906, in get
return self.get(newpath, ssl, try_json, is_retry=True)
File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\arcgis\_impl\connection.py", line 798, in get
params['f'] = 'json'
TypeError: 'bool' object does not support item assignment

Outcomes